# PhotoReport

## Dependencies

 - Python 3 (and some additionnals modules, see 'requirements.txt')
 - rst2pdf
 - ImageMagick
 - exiv2 (for direct exif reading)

## Howto install ?

 - create a virtualenv with python3
 - install python requirements

## CLI usage

[todo]

## Comment contribuer ?

 - Cloner le dépôt : `git clone https://git.antoineve.me/PhotoReport/`
 - Créer une branche : `git checkout -b <new_feature>`
 - Coder et commiter : `git commit -a -m <description>`
 - Créer le patch : `git format-patch $(git merge-base --fork-point master)..<new_feature>`
 - M'envoyer le patch par mail : [antoine+photoreport@van-elstraete.net](mailto:antoine+photoreport@van-elstraete.net)
 - J'applique le patch avec `git am --signoff -k < <new_feature>.patch`

## BUGS

For the moment, PDF report isn't working.

## Features requests

 - Est-ce qu’il sera possible de filtrer par objectif/boîtier, parce qu’au final, les stats de focale/ouvertures sont surtout pertinentes en isolant un seul objectif (dans le cas des zooms) ?
 - En effet, l’option -d serait utile, voire directement automatiser la recherche récursive
 - dédupliquer si le nom est le même avec une extension différente
 - exv.py -d ./2019 -u -e NEF -e CR2 -e DNG -e JPG (Pour le dossier 2019, éviter les doubles, uniquement les extensions NEF, CR2, DNG, JPG, par exemple.)
 - Sorti en .tex pour les fans de LaTeX
